| Home | Libraries | People | FAQ | More

## Function template make_unique_definit

boost::movelib::make_unique_definit

## Synopsis

    // In header: <boost/move/make_unique.hpp>

    template<typename T> unique_ptr< T > make_unique_definit(std::size_t n);

## Description

Remarks: This function shall not participate in overload resolution unless T is an array of unknown bound.

Returns: `unique_ptr<T>(new remove_extent_t<T>[n])` (default initialization)